com.fasterxml.jackson.dataformat.avro

## Class AvroMapper.Builder

- java.lang.Object
- - com.fasterxml.jackson.databind.cfg.MapperBuilder<AvroMapper,AvroMapper.Builder>
  - - com.fasterxml.jackson.dataformat.avro.AvroMapper.Builder

- Enclosing class:
    AvroMapper

      public static class AvroMapper.Builder
      extends com.fasterxml.jackson.databind.cfg.MapperBuilder<AvroMapper,AvroMapper.Builder>

  Base implementation for "Vanilla" `ObjectMapper`, used with Avro backend.
  Since:
    2.10

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AvroFactory` | `_streamFactory`

    - ### Fields inherited from class com.fasterxml.jackson.databind.cfg.MapperBuilder

      `_mapper`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder(AvroMapper m)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AvroMapper.Builder` | `configure(AvroGenerator.Feature f, boolean state)`
    `AvroMapper.Builder` | `configure(AvroParser.Feature f, boolean state)`
    `AvroMapper.Builder` | `disable(AvroGenerator.Feature... features)`
    `AvroMapper.Builder` | `disable(AvroParser.Feature... features)`
    `AvroMapper.Builder` | `enable(AvroGenerator.Feature... features)`
    `AvroMapper.Builder` | `enable(AvroParser.Feature... features)`

    - ### Methods inherited from class com.fasterxml.jackson.databind.cfg.MapperBuilder

      `_this, activateDefaultTyping, activateDefaultTyping, activateDefaultTyping, activateDefaultTypingAsProperty, addHandler, addMixIn, addModule, addModules, addModules, annotationIntrospector, build, clearProblemHandlers, configure, configure, configure, configure, configure, configure, configure, deactivateDefaultTyping, defaultBase64Variant, defaultDateFormat, defaultLeniency, defaultLocale, defaultMergeable, defaultPrettyPrinter, defaultSetterInfo, defaultTimeZone, disable, disable, disable, disable, disable, disable, disable, enable, enable, enable, enable, enable, enable, enable, filterProvider, findAndAddModules, findModules, findModules, handlerInstantiator, injectableValues, isEnabled, isEnabled, isEnabled, isEnabled, isEnabled, nodeFactory, polymorphicTypeValidator, propertyNamingStrategy, registerSubtypes, registerSubtypes, registerSubtypes, serializationInclusion, serializerFactory, streamFactory, subtypeResolver, typeFactory, visibility, visibility`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _streamFactory

          protected final AvroFactory _streamFactory

  - ### Constructor Detail

    - #### Builder

          public Builder(AvroMapper m)

  - ### Method Detail

    - #### enable

          public AvroMapper.Builder enable(AvroParser.Feature... features)

    - #### disable

          public AvroMapper.Builder disable(AvroParser.Feature... features)

    - #### configure

          public AvroMapper.Builder configure(AvroParser.Feature f,
                                              boolean state)

    - #### enable

          public AvroMapper.Builder enable(AvroGenerator.Feature... features)

    - #### disable

          public AvroMapper.Builder disable(AvroGenerator.Feature... features)

    - #### configure

          public AvroMapper.Builder configure(AvroGenerator.Feature f,
                                              boolean state)

Copyright © 2019 FasterXML. All rights reserved.